Package org.apache.calcite.avatica.util

## Class AbstractCursor.DoubleAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ApproximateNumericAccessor
    - - org.apache.calcite.avatica.util.AbstractCursor.DoubleAccessor

All Implemented Interfaces:
  `Cursor.Accessor`

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.DoubleAccessor
    extends AbstractCursor.ApproximateNumericAccessor

Accessor that assumes that the underlying value is a `Double`; corresponds to `Types.DOUBLE`.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`private` `DoubleAccessor​(AbstractCursor.Getter getter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getDouble()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.ApproximateNumericAccessor

`getBigDecimal, getBigDecimal, getLong`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getFloat, getInt, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getString, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleAccessor

    private DoubleAccessor​(AbstractCursor.Getter getter)

### Method Detail

#### getDouble

    public double getDouble()
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `Cursor.Accessor`
Specified by:
  `getDouble` in class `AbstractCursor.ApproximateNumericAccessor`
Throws:
  `java.sql.SQLException`